Bug 125101 - [PATCH] devel/autoconf2{13,61,62}: fix AWK use
Summary: [PATCH] devel/autoconf2{13,61,62}: fix AWK use
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ade Lovett
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-29 16:00 UTC by Matthias Andree
Modified: 2008-07-14 20:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.35 KB, patch)
2008-06-29 16:00 UTC, Matthias Andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Andree 2008-06-29 16:00:12 UTC
This is the real fix, to substitute the (already closed) ports/124372.

The autoconf configure script will check mawk and nawk first when
hunting for AWK, but will not record the dependency on nawk/gawk if
found.

This can cause packages depending on autoconf 2.13/2.61/2.62 to fail
their build after gawk has been uninstalled. This was first observed
building archivers/rpm (which depends on 2.13), but the configure "bug"
(or the non-workaround of the port's Makefile) persists in 2.61 and
2.62, symptoms from procedure in how-to-repeat section below:

...
===>  Applying FreeBSD patches for rpm-3.0.6_14
===>   rpm-3.0.6_14 depends on executable: gmake - found
===>   rpm-3.0.6_14 depends on file: /usr/local/bin/automake-1.4 - found
===>   rpm-3.0.6_14 depends on file: /usr/local/bin/autoconf-2.13 -
found
===>   rpm-3.0.6_14 depends on file: /usr/local/bin/libtool - found
===>   rpm-3.0.6_14 depends on shared library: popt.0 - found
===>   rpm-3.0.6_14 depends on shared library: intl - found
===>  Configuring for rpm-3.0.6_14
gawk: not found
===>  Building for rpm-3.0.6_14
gmake: Makefile: No such file or directory
gmake: *** No rule to make target `Makefile'.  Stop.
*** Error code 2

Debugging this shows that the "gawk: not found" stems from autoconf-2.13
in this particular case.

NOTE: the patch changes ports/devel/autoconf213, .../autoconf261 and
.../autoconf262. I wonder if the fix (CONFIGURE_ENV+=AWK=${AWK}) should
become part of GNU_CONFIGURE in ports/Mk/bsd.port.mk instead.

Port maintainer (ade@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77

Fix: Be sure to export AWK to the port's ./configure script so it does not
silently depend on /usr/local stuff that may later go away.

NOTE: Arguably, this should be done by ports/Mk/bsd.port.mk instead.



===> Generating patch
===> Viewing diff with more
How-To-Repeat: - install gawk
- install autoconf213
Comment 1 Edwin Groothuis freebsd_committer 2008-06-30 00:17:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ade

Over to maintainer
Comment 2 Ade Lovett freebsd_committer 2008-07-14 20:26:32 UTC
State Changed
From-To: open->closed

Committed without the PORTREVISION bumps, since it's an edge case.
Comment 3 dfilter service freebsd_committer 2008-07-14 20:26:41 UTC
ade         2008-07-14 19:26:28 UTC

  FreeBSD ports repository

  Modified files:
    devel/autoconf213    Makefile 
    devel/autoconf261    Makefile 
    devel/autoconf262    Makefile 
  Log:
  Handle an edge-case where lang/gawk is installed prior to any autoconf*
  ports, which then results in an implicit dependency on gawk, with the
  obvious bad things happening should gawk be later removed.
  
  Note that because this is an edge case, which most folks will not run
  into, and because it doesn't change the default package, I am not
  bumping PORTREVISION as suggested in the original patch.
  
  PR:     125101
  Who:    matthias <dot> andree <at> gmx <dot> de
  
  Revision  Changes    Path
  1.63      +1 -1      ports/devel/autoconf213/Makefile
  1.71      +1 -1      ports/devel/autoconf261/Makefile
  1.73      +1 -1      ports/devel/autoconf262/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"